For the complete documentation index, see llms.txt. This page is also available as Markdown.

Instruction Request API Reference

Create Deposit Instruction Request

post

Request a Deposit Instruction

Authorizations
cdpapi-Subscription-KeystringOptional
Body
ProductReferencestringOptional

The reference for the Product

ProductIssueNumbernumberOptional

The specific issue of the product

ProductIssueVersionNumbernumberOptional

The specific version of the product issue

AccountReferencestringOptional

The reference for the Account

AmountnumberOptional

The amount of the instruction to 2dp

InstructionReferencestringOptional

The generated unique reference (GUID) for the Instruction

Responses
202Success
application/json
instructionReferencestringOptional

The unique identifier of the Instruction

statusLocationstringOptional

Endpoint used to check the Status of the instruction request

post/deposit
POST /instruction-request/deposit HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 186

{
  "productReference": "256",
  "productIssueNumber": "1",
  "productIssueVersionNumber": "2",
  "accountReference": "FL1456",
  "amount": 500,
  "instructionReference": "1429ddc3-987f-4bff-9f34-77d1b98fca21"
}
202Success
{
  "instructionReference": "ref1",
  "statusLocation": "https://API.com/location"
}

Create Instruction Request Withdrawal

post

Create an Instruction request to withdraw from a Deposit Account

Authorizations
cdpapi-Subscription-KeystringOptional
Body
AccountReferencestringOptional

The unique account reference

CurrencyIsoCodestringOptional

The 3 digit currency code for the portfolio (ISO-4217)

DepositAccountReferencestringOptional

The unique reference for the deposit account

AmountnumberOptional

The amount of the instruction to 2dp

InstructionReferencestringOptional

The generated unique reference (GUID) for the Instruction

Responses
202Success
application/json
InstructionReferencestringOptional

The generated unique reference (GUID) for the Instruction

StatusLocationstringOptional

Reference to the get Instruction Request status endpoint

post/withdraw
POST /instruction-request/withdraw HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 167

{
  "accountReference": "FL12345",
  "currencyIsoCode": "GBP",
  "depositAccountReference": "123454565",
  "amount": 500,
  "instructionReference": "1429ddc3-987f-4bff-9f34-77d1b98fca21"
}
202Success
{
  "instructionReference": "1429ddc3-987f-4bff-9f34-77d1b98fca21",
  "StatusLocation": "/instruction-request/status/1429ddc3-987f-4bff-9f34-77d1b98fca21"
}

Get instruction request status

get

Returns the status of the instruction request with the given reference

Authorizations
cdpapi-Subscription-KeystringOptional
Path parameters
instructionReferencestringRequired

The unique identifier of the Instruction

Responses
200

Status of the request

application/json
statusstringOptional

Created | Processed | Rejected //Current instruction request status

instructionReferencestringOptional

The unique identifier of the Instruction

statusReasonstringOptional

Reason for the status change

get/status/{instructionReference}
GET /instruction-request/status/{instructionReference} HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Accept: */*
{
  "status": "Created|Processed|Rejected",
  "instructionReference": "instructionReferenece",
  "statusReason": "reason"
}

Create Deposit Account Closure Request

post
Authorizations
cdpapi-Subscription-KeystringOptional
Body
AccountReferencestringOptional

The unique account reference

CurrencyIsoCodestringOptional

The 3 digit currency code for the portfolio (ISO-4217)

DepositAccountReferencestringOptional

The unique reference for the deposit account

InstructionReferencestringOptional

The generated unique reference (GUID) for the Instruction

Responses
202Success
application/json
instructionReferencestringOptional

The unique identifier of the Instruction

statusLocationstringOptional

Endpoint used to check the Status of the instruction request

post/close-account
POST /instruction-request/close-account HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 154

{
  "accountReference": "FL12345",
  "currencyIsoCode": "GBP",
  "depositAccountReference": "123454565",
  "instructionReference": "1429ddc3-987f-4bff-9f34-77d1b98fca21"
}
202Success
{
  "instructionReference": "ref1",
  "statusLocation": "https://API.com/location"
}

Create Revert Instruction Request

post

Requst to revert an instruction

Authorizations
cdpapi-Subscription-KeystringOptional
Body
InstructionReferencestringOptional

The generated unique reference (GUID) for the Instruction

InstructionToRevertReferencestringOptional

The unique reference (GUID) of the Instruction to revert

Responses
202Success
application/json
ErrorstringOptional

Error Name

ErrorDescriptionstringOptional
post/revert
POST /instruction-request/revert HTTP/1.1
Host: api.sandbox.flagstoneim.com
cdpapi-Subscription-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "InstructionReference": "1429ddc3-987f-4bff-9f34-77d1b98fca21",
  "InstructionToRevertReference": "616aa3f5-3b22-445e-8d34-2b4c5f71844e"
}
202Success
{
  "Error": "string",
  "ErrorDescription": "string"
}

Last updated